import type { MouseControl } from './types';
export declare class FixedOrbitControl implements MouseControl {
    private dom;
    private prePosition;
    private isOrbiting;
    private orbitPoint;
    private startMouseDown?;
    private static COUNTS_AS_CLICK_THRESHOLD;
    constructor(params: {
        dom: HTMLElement;
    });
    onMouseDown: (event: MouseEvent) => void;
    onMouseUp: (event: MouseEvent) => void;
    setPivot(pivot: THREE.Vector3): void;
    onMouseMove: (event: MouseEvent) => void;
    dispose(): void;
}
